Group: Other
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit0 bd275a72f85a64eae0f7543603631c5f4891e70a
%global gittag0 v2015.1
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7}) 

Summary: Helper program for calling chroot(2) as non-root
Name: linux-user-chroot
Version: 2015.1
Release: alt2_19
#VCS: git:git://git.gnome.org/linux-user-chroot
# I used "git archive" 
Source0: https://git.gnome.org/browse/linux-user-chroot/snapshot/linux-user-chroot-%{version}.tar.xz
License: GPLv2+
URL: https://git.gnome.org/browse/linux-user-chroot
BuildRequires: autoconf automake libtool
BuildRequires: rdma-core-devel
BuildRequires: pkgconfig(libseccomp)
Source44: import.info

%description
A tool made for build systems that run as non-root, offering chroot(2)
and Linux container features to non-root users.
Only install this on systems for which local, authenticated denial of
service attacks are not a serious concern.

%prep
%setup -q

%build
env NOCONFIGURE=1 ./autogen.sh
%configure --enable-documentation
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%attr(4711,root,root) %{_bindir}/linux-user-chroot
%{_mandir}/man8/**

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2015.1-alt2_19
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2015.1-alt2_17
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2015.1-alt2_16
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2015.1-alt2_15
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2015.1-alt2_14
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2015.1-alt2_13
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2015.1-alt2_12
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt2_11
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_11
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_10
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_9
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_8
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_7
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_6
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_5
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_2
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2015.1-alt1_1
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2013.1-alt1_4
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 2013.1-alt1_3
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 2013.1-alt1_2
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2013.1-alt1_1
- initial fc import

